Subject: bug#55336: Graphical installer: Selecting a partition scheme always takes me back to the start

From: Simon Streit <[email-masked]>
Date: Mon, 28 Nov 2022 21:19:21 +0100

Simon Streit <[email-masked]> writes:

> Mathieu Othacehe <[email-masked]> writes:
>
>>> Disk image is: axygxkgkgcgbk2gjd6q521h85shp7hwf-image.iso from
>>> https://ci.guix.gnu.org/build/125952/details.
>>>
>>> Please find attached some logs too:
>>
>> It looks like you experimented a crash (segfault or so), and the
>> backtrace is not really helpful here sadly.
>
> Please visit the core dump online at [1] for a while.
>
> I noticed this behaviour happens when placing a hyphon inbetween two
> words in the hostname.  The installer doesn't reset when there is no
> hyphen.  I will try to complete the installation to confirm that it
> usually works without the hyphen.  I'm still at
> axygxkgkgcgbk2gjd6q521h85shp7hwf-image.iso.

That claim doesn't seem right either.  Only after rebooting the machine
and setting `guix' as hostname doesn't reset the installer.

Will report back.